<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:outputStylesheet library="stylesheet" name="fineuploader.css"/>
    <h:outputScript library="jscript" name="gazelle-fineuploader.js"/>
    <h:outputScript library="jscript" name="fineuploader-3.0.min.js"/>
    <a4j:jsFunction name="rerenderupload#{id}" render="#{idToRerender}"
                    limitRender="true" execute="@this"/>
    <div id="fineuploader_#{id}"/>
    <script language="javascript" type="text/javascript">
        gazelleAddToBodyOnLoad(
            createFineUploader('fineuploader_#{id}', '#{beanName}', '#{id}', '#{param}', '#{multiple}', '#{extensions}', '#{fineuploaderFilter.maxSize}', '#{extraDropzones}'
				, '#{messages['net.ihe.gazelle.uploader.uploadCaption']}', '#{messages['net.ihe.gazelle.uploader.cancelCaption']}'
				, '#{messages['net.ihe.gazelle.uploader.failCaption']}', '#{messages['net.ihe.gazelle.uploader.dragZoneCaption']}'
				, '#{messages['net.ihe.gazelle.uploader.formatProgressCaption']}')
        );
    </script>
</ui:composition>
